Create equity or token tax event
Records an equity or token tax event, such as a vest or exercise, against a contract and adds it, pending verification, to an open monthly equity payroll cycle. Use it when reporting a tax event for a worker who is already onboarded to Equity & Token Services.
Token scopes: equities:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Request
This endpoint expects an object.
data
Response
The tax event was created successfully.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error